/***************************************************************************
 *   Copyright (C) 2004 by Christoph Thielecke                             *
 *   crissi99@gmx.de                                                       *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#include "configconnectoptions.h"
#include <qcheckbox.h>
#include <kcombobox.h>

#include <iostream>

ConfigConnectOptions::ConfigConnectOptions(QWidget *parent) : ConfigConnectOptionsBase(parent)
{
	dialogModified=false;

	// connect changed signals to own signal
	connect(AutoConnectProfileComboBox,SIGNAL(textChanged ( const QString & )),this,SIGNAL(changed()));
	connect(checkMinimizeAfterConnectCheck,SIGNAL(stateChanged ( int )),this,SIGNAL(changed()));
	connect(SilentQuitcheckBox,SIGNAL(stateChanged ( int )),this,SIGNAL(changed()));
	connect(DoAutoConnectCheckBox,SIGNAL(stateChanged ( int )),this,SIGNAL(changed()));

	// connect changed to slot
	connect(this,SIGNAL(changed ()),this,SLOT(dialogChanged()));
}


ConfigConnectOptions::~ConfigConnectOptions()
{}


void ConfigConnectOptions::autoConnectToggled(bool)
{
	if (DoAutoConnectCheckBox->isChecked())
		AutoConnectProfileComboBox->setEnabled(true);
	else
		AutoConnectProfileComboBox->setEnabled(false);
}

void ConfigConnectOptions::dialogChanged()
{
// 	std::cout << "ConfigConnectOptions::dialogChanged()" << std::endl;
	dialogModified=true;
}

